Suppliers worth asking for a statement (any role)
GET
/statement-requests/candidates
const url = 'https://api.invogi.com/v1/statement-requests/candidates';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.invogi.com/v1/statement-requests/candidates \ --header 'Authorization: Bearer <token>'Suppliers invoiced in the last year with no statement in 90 days and no open request. Those with an open recovery case or an unused ledger credit come first, then the most spend.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Candidates
Media typeapplication/json
object
items
Array<object>
object
supplier
required
object
id
string format: uuid
name
string
spendBase
Gross spend in the last year in the workspace’s base currency
string | null
invoices
required
integer
openCases
required
integer
unusedCredits
required
integer
lastStatementAt
string | null format: date-time
contact
object
id
string format: uuid
name
string
email
string | null
Example generated
{ "items": [ { "supplier": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example" }, "spendBase": "example", "invoices": 1, "openCases": 1, "unusedCredits": 1, "lastStatementAt": "2026-04-15T12:00:00Z", "contact": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "email": "example" } } ]}